spring:
  application:
    name: zoe-gateway
  cloud:
    nacos:
      server-addr: ${NACOS_CONFIG_SERVER}
      username: ${NACOS_USER}
      password: ${NACOS_PWD}
      discovery:
        group: ${DEPLOY_ENV}
        namespace: ${DEPLOY_ENV}
      config:
        group: ${DEPLOY_ENV}
        namespace: ${DEPLOY_ENV}
        file-extension: yaml
  config:
    import:
      - optional:nacos:zoe-gateway.yaml?group=DEFAULT_GROUP
      - optional:classpath:application.yaml